/**** Includes ****/
#include "utils/utils.h"

#include "dccd/dccd_hw.h"

/**** Private definitions ****/
/**** Private constants ****/
/**** Private variables ****/
dccd::DccdHw dccd_hw;

/**** Private function declarations ****/
/**** Public function definitions ****/
int main(void)
{
	// Setup
	dccd::DccdHw::dccdHwCfg_t hw_cfg;
	
	hw_cfg.handbrake_pull_up = 0;
	hw_cfg.speed_hall = 0;
	
	dccd_hw.init(&hw_cfg);
	
	// Super loop
	while(1)
	{	
		// Update inputs
		dccd_hw.read();
		
		// Do something
		
		continue; // End of super loop
	}
	
	// Escape the matrix
	return 0;
}

/**** Private function definitions ***/